package com.chenyang.nse.bussiness.odbc.po;

public class Sm4Info {
   private String key;
   private String type;
   private String data;
   private String like;
   private String start;
   private String end;
   private String twoindex;

   public String getKey() {
      return this.key;
   }

   public String getType() {
      return this.type;
   }

   public String getData() {
      return this.data;
   }

   public String getLike() {
      return this.like;
   }

   public String getStart() {
      return this.start;
   }

   public String getEnd() {
      return this.end;
   }

   public String getTwoindex() {
      return this.twoindex;
   }

   public void setKey(final String key) {
      this.key = key;
   }

   public void setType(final String type) {
      this.type = type;
   }

   public void setData(final String data) {
      this.data = data;
   }

   public void setLike(final String like) {
      this.like = like;
   }

   public void setStart(final String start) {
      this.start = start;
   }

   public void setEnd(final String end) {
      this.end = end;
   }

   public void setTwoindex(final String twoindex) {
      this.twoindex = twoindex;
   }

   public boolean equals(final Object o) {
      if (o == this) {
         return true;
      } else if (!(o instanceof Sm4Info)) {
         return false;
      } else {
         Sm4Info other = (Sm4Info)o;
         if (!other.canEqual(this)) {
            return false;
         } else {
            Object this$key = this.getKey();
            Object other$key = other.getKey();
            if (this$key == null) {
               if (other$key != null) {
                  return false;
               }
            } else if (!this$key.equals(other$key)) {
               return false;
            }

            Object this$type = this.getType();
            Object other$type = other.getType();
            if (this$type == null) {
               if (other$type != null) {
                  return false;
               }
            } else if (!this$type.equals(other$type)) {
               return false;
            }

            Object this$data = this.getData();
            Object other$data = other.getData();
            if (this$data == null) {
               if (other$data != null) {
                  return false;
               }
            } else if (!this$data.equals(other$data)) {
               return false;
            }

            Object this$like = this.getLike();
            Object other$like = other.getLike();
            if (this$like == null) {
               if (other$like != null) {
                  return false;
               }
            } else if (!this$like.equals(other$like)) {
               return false;
            }

            Object this$start = this.getStart();
            Object other$start = other.getStart();
            if (this$start == null) {
               if (other$start != null) {
                  return false;
               }
            } else if (!this$start.equals(other$start)) {
               return false;
            }

            Object this$end = this.getEnd();
            Object other$end = other.getEnd();
            if (this$end == null) {
               if (other$end != null) {
                  return false;
               }
            } else if (!this$end.equals(other$end)) {
               return false;
            }

            Object this$twoindex = this.getTwoindex();
            Object other$twoindex = other.getTwoindex();
            if (this$twoindex == null) {
               if (other$twoindex != null) {
                  return false;
               }
            } else if (!this$twoindex.equals(other$twoindex)) {
               return false;
            }

            return true;
         }
      }
   }

   protected boolean canEqual(final Object other) {
      return other instanceof Sm4Info;
   }

   public int hashCode() {
      int PRIME = 59;
      int result = 1;
      Object $key = this.getKey();
      result = result * 59 + ($key == null ? 43 : $key.hashCode());
      Object $type = this.getType();
      result = result * 59 + ($type == null ? 43 : $type.hashCode());
      Object $data = this.getData();
      result = result * 59 + ($data == null ? 43 : $data.hashCode());
      Object $like = this.getLike();
      result = result * 59 + ($like == null ? 43 : $like.hashCode());
      Object $start = this.getStart();
      result = result * 59 + ($start == null ? 43 : $start.hashCode());
      Object $end = this.getEnd();
      result = result * 59 + ($end == null ? 43 : $end.hashCode());
      Object $twoindex = this.getTwoindex();
      result = result * 59 + ($twoindex == null ? 43 : $twoindex.hashCode());
      return result;
   }

   public String toString() {
      return "Sm4Info(key=" + this.getKey() + ", type=" + this.getType() + ", data=" + this.getData() + ", like=" + this.getLike() + ", start=" + this.getStart() + ", end=" + this.getEnd() + ", twoindex=" + this.getTwoindex() + ")";
   }
}
